""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from celery.utils.log import get_task_logger


logger = get_task_logger(__name__)


try:
    def ansible_filters():
        from ansible.plugins.filter.core import FilterModule as core_filters
        from ansible.plugins.filter.ipaddr import FilterModule as ipaddr_filters
        from ansible.plugins.filter.json_query import FilterModule as json_query_filters
        from ansible.plugins.filter.mathstuff import FilterModule as mathstuff_filters
        from ansible.plugins.filter.network import FilterModule as network_filters
        from ansible.plugins.filter.urlsplit import FilterModule as urlsplit_filters
        filters_dict = dict()
        for each_filter in [core_filters, ipaddr_filters, json_query_filters, mathstuff_filters, network_filters,
                            urlsplit_filters]:
            filters_dict.update(each_filter().filters())
        return filters_dict
except ImportError:
    logger.warn('Ansible python package is not installed. Please install it to continue using ansible plugin filters.')

