""" Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.shortcuts import render
from rest_framework.decorators import api_view
from rest_framework.response import Response
from rest_framework.views import APIView
from expression_builder.exp import prepare_exp_list
from django.utils.decorators import method_decorator
from django.views.decorators.csrf import csrf_exempt
from django.conf import settings

class ExpressionsView(APIView):
    def get(self, request, *args, **kwargs):
        res = settings.EXPRESSIONS
        if not res :
            res = prepare_exp_list()
            settings.EXPRESSIONS = res
        return Response(res)

    @method_decorator(csrf_exempt)
    def dispatch(self, request, *args, **kwargs):
        return super().dispatch(request, *args, **kwargs)


expressions_view = ExpressionsView.as_view()

