from django.db import migrations
from rules_engine.utility import insert_data
import json
import os


def insert_default_rules(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
    default_fixture_dir = os.path.join(BASE_DIR, 'fixtures')
    default_fixture_details = {
        'Rule': 'default_rules.json',
        'Channel': 'default_channels.json'
    }
    insert_data(default_fixture_details, apps)


class Migration(migrations.Migration):
    dependencies = [
        ('rules_engine', '0002_db_on_cascade_delete_constraint'),
    ]

    operations = [
        migrations.RunPython(insert_default_rules),
    ]
